varying vec2 		texcoord;	
uniform sampler2D 	tex;
varying vec4		pos;
varying float 		distance;			

void main()
{
	gl_FragColor.xyz = pos.xyz;
	gl_FragColor.a = texture2D(tex,texcoord.st).a*distance;
}
